/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#ifndef AIDGE_MATCH_H_
#define AIDGE_MATCH_H_

#include <vector>
#include <set>
#include <iostream>
#include <cassert>
#include "aidge/graphmatching/Utile.hpp"


namespace Aidge{

class Match {

public:
    Match();

    size_t getNbMatch();

    void insert(std::vector<NodeTmp> startnodes, std::set<NodeTmp> matchnodes);

    std::vector<std::vector<NodeTmp>> getStartNodes();

    std::vector<std::set<NodeTmp>> getMatchNodes();

protected:
    std::vector<std::vector<NodeTmp>> mStartNodes;
    std::vector<std::set<NodeTmp>> mMatchNodes;

};

}
#endif //AIDGE_MATCH_H_