/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include "aidge/graphmatching/NodeRegex.hpp"

namespace py = pybind11;
namespace Aidge {
void init_NodeRegex(py::module& m){
    py::class_<NodeRegex, std::shared_ptr<NodeRegex>>(m, "NodeRegex", "NodeRegex class describes a condition to test on any operator. Current version only supports testing the type of the operator.")
    .def(py::init<const std::string>(), py::arg("condition"), R"mydelimiter(
    Constructor of NodeRegex
    
    :param condition: Condition to be fulfilled by an operator.
    :type condition: str

    )mydelimiter")
    ;
}
}
