/********************************************************************************
 * Copyright (c) 2023 CEA-List
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

#include <pybind11/pybind11.h>
#include <string>

#include "aidge/operator/Softmax.hpp"
#include "aidge/operator/Operator.hpp"

namespace py = pybind11;
namespace Aidge {

void init_Softmax(py::module& m) {
    py::class_<Softmax_Op, std::shared_ptr<Softmax_Op>, Operator>(m, "Softmax_Op", py::multiple_inheritance());

    m.def("Softmax", &Softmax, py::arg("name") = "");
}
}  // namespace Aidge
